clear;
X = csvread('ellipse.csv');

scatter(X(:,1),X(:,2));
pause;

'Single link clustering'

% compute the single linkage tree
Z = linkage(X,'single','euclidean');



% assign clusters for K = 2 using the tree
c_slink = cluster(Z,'maxclust',2);

figure; scatter(X(find(c_slink==1),1),X(find(c_slink==1),2));
hold on;
scatter(X(find(c_slink==2),1),X(find(c_slink==2),2),'r');
pause;


% k-means clustering for K=2
'K-means clustering'
c_kmeans = kmeans(X,2);

figure; scatter(X(find(c_kmeans==1),1),X(find(c_kmeans==1),2));
hold on;
scatter(X(find(c_kmeans==2),1),X(find(c_kmeans==2),2),'r');

