clear;

'Load images into data matrix by vectorizing'

% Load images and convert them to vector format
for t = 1:28
    I(:,:,t) = rgb2gray(imread(['smilie',num2str(t),'.jpeg']));
    temp = I(:,:,t);
    X(t,:) = double(temp(:));
end

% now X is the data matrix and each row of X corresponds to one data point

pause;

'Compute single link clustering of points into 2 clusters'

% compute the single linkage tree
Z = linkage(X,'single','euclidean');



% assign clusters for K = 2 using the tree
c_slink = cluster(Z,'maxclust',2);


pause; 

'Compute k-means clustering of points into 2 clusters'

c_kmeans = kmeans(X,2);


